Subject: [PATCH] microsecond timers for IP22

From: Keith M Wesolowski <[email-masked]>
Date: Thu, 29 Jun 2000 22:10:05 -0700

As we discussed, this patch implements microsecond timers for IP22. It
is against current 2.3 CVS. Note that it is also safe to remove
arch/mips/sgi/indy_timer.c completely with this patch. This looks ok
to me but I'm certainly willing to accept that I've hosed it horribly.
The patch is a bit too large for mail so I've put it at
ftp://ftp.foobazco.org/pub/people/wesolows/mips-linux/testing/timers.diff.

It's interesting to note that on my Indy the first two timer
calibrations differ, triggering the third round, which works. I'm not
quite sure why this is, but the final value is correct.

Lmbench runs more quickly and even properly detects the clock
speed. There is still an unrelated problem in the lat_unix test
however.

-- 
Keith M Wesolowski			[email-masked]
University of Nevada			http://www.chem.unr.edu
Chemistry Department Systems and Network Administrator